Groovy 1.7.0

## org.codehaus.groovy.util
Class ManagedConcurrentMap.EntryWithValue

    java.lang.Object
      Entry
          org.codehaus.groovy.util.ManagedConcurrentMap.EntryWithValue

    class ManagedConcurrentMap.EntryWithValue
    extends Entry

Constructor Summary
`ManagedConcurrentMap.EntryWithValue(ReferenceBundle bundle, Segment segment, K key, int hash, V value)`

Method Summary
`void` | `finalizeRef()`
`V` | `getValue()`
`void` | `setValue(V value)`

Constructor Detail

### ManagedConcurrentMap.EntryWithValue

    public ManagedConcurrentMap.EntryWithValue(ReferenceBundle bundle, Segment segment, K key, int hash, V value)

Method Detail

### finalizeRef

    public void finalizeRef()

### getValue

    public V getValue()

### setValue

    public void setValue(V value)

Copyright © 2003-2009 The Codehaus. All rights reserved.